summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author jamesaxl <axlrose112@gmail.com>2017-01-13 22:11:54 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-01-13 22:13:43 +0700
commitc26f0fe81a3ac67980a812601038fbca42c12dc5 (patch)
tree981f7ac8f92bc07f773db4a0679c6444fc711df1 /libraries
parentedd3b10962ba9fda35bc57adf28a40e0b1271783 (diff)
downloadslackbuilds-c26f0fe81a3ac67980a812601038fbca42c12dc5.tar.gz
slackbuilds-c26f0fe81a3ac67980a812601038fbca42c12dc5.tar.xz
libraries/log4net: Added (log tool for mono).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/log4net/README4
-rw-r--r--libraries/log4net/log4net.SlackBuild95
-rw-r--r--libraries/log4net/log4net.info10
-rw-r--r--libraries/log4net/log4net.pc8
-rw-r--r--libraries/log4net/slack-desc19
5 files changed, 136 insertions, 0 deletions
diff --git a/libraries/log4net/README b/libraries/log4net/README
new file mode 100644
index 0000000000..d499d61464
--- /dev/null
+++ b/libraries/log4net/README
@@ -0,0 +1,4 @@
+log4net is a tool to help the programmer output log statements to a variety
+of output targets. log4net is a port of the excellent log4j framework to
+the .NET runtime. The framework was kept similar in spirit to the original
+log4j while taking advantage of new features in the .NET runtime.
diff --git a/libraries/log4net/log4net.SlackBuild b/libraries/log4net/log4net.SlackBuild
new file mode 100644
index 0000000000..6b510d1837
--- /dev/null
+++ b/libraries/log4net/log4net.SlackBuild
@@ -0,0 +1,95 @@
+#!/bin/sh
+
+# Slackware build script for log4net
+
+# Written by jamesaxl (axlrose112@gmail.com)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=log4net
+VERSION=${VERSION:-2.0.7}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+unzip $CWD/$PRGNAM-$VERSION-src.zip
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Use system mono.snk key
+sed -i -e 's!"..\\..\\..\\log4net.snk")]!"../log4net.snk")]!' src/AssemblyInfo.cs
+sed -i -e 's!|| SSCLI)!|| SSCLI || MONO)!' src/AssemblyInfo.cs
+
+mkdir -p build
+
+xbuild /property:Configuration=Debug /property:DefineConstants=DEBUG,MONO,STRONG src/log4net.vs2012.csproj
+
+gacutil -i build/bin/net/4.5/debug/log4net.dll -f -package log4net -root $PKG/usr/lib
+
+# Copy pkgconfig file appropriately
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig
+cat $CWD/log4net.pc > $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig/log4net.pc
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a KEYS LICENSE NOTICE README.txt STATUS.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/log4net/log4net.info b/libraries/log4net/log4net.info
new file mode 100644
index 0000000000..510b7ef0a9
--- /dev/null
+++ b/libraries/log4net/log4net.info
@@ -0,0 +1,10 @@
+PRGNAM="log4net"
+VERSION="2.0.7"
+HOMEPAGE="http://logging.apache.org/log4net/"
+DOWNLOAD="http://apache-mirror.rbc.ru/pub/apache//logging/log4net/source/log4net-2.0.7-src.zip"
+MD5SUM="4e326660d974411ec55710a12288602b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="mono"
+MAINTAINER="jamesaxl"
+EMAIL="axlrose112@gmail.com"
diff --git a/libraries/log4net/log4net.pc b/libraries/log4net/log4net.pc
new file mode 100644
index 0000000000..6b08fa82ec
--- /dev/null
+++ b/libraries/log4net/log4net.pc
@@ -0,0 +1,8 @@
+prefix=/usr
+exec_prefix=${prefix}
+libdir=${exec_prefix}/lib
+
+Name: Log4net
+Description: Log4net - Logging library for C# and VB.NET
+Version: 2.0.7
+Libs: -r:${libdir}/mono/log4net/log4net.dll
diff --git a/libraries/log4net/slack-desc b/libraries/log4net/slack-desc
new file mode 100644
index 0000000000..6963cae054
--- /dev/null
+++ b/libraries/log4net/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+log4net: log4net (log tool for mono)
+log4net:
+log4net: log4net is a tool to help the programmer output log statements to a
+log4net: variety of output targets. log4net is a port of the excellent log4j
+log4net: framework to the .NET runtime. The framework was kept similar in
+log4net: spirit to the original log4j while taking advantage of new features
+log4net: in the .NET runtime.
+log4net:
+log4net: The website of log4net is http://logging.apache.org/log4net/
+log4net:
+log4net: